#Build a format string for the name of the VM
#This can call out to an external program or manipulate the strings in the code as
#below

#Get the owner name
$name = $args[0]

#Split owner name into first and last and keep the first name
$first = $name.split()[0]

#Get the operating system
$os = $args[1]

#Abbreviate the OS name
if ($os -like '*2012*'){$os = '2k12'}
elseif ($os -like '*2008*') {$os = '2k8'}
elseif ($os -like '*2003*') {$os = '2k3'}
elseif ($os -like '*RHEL*') {$os = 'RH'}
elseif ($os -like '*Ubuntu*') {$os = 'UB'}
else { write-host Unknown OS $os; exit 1}

#Return the format string so V-Commander can add the unique number
$format = '$VMNAME=' + $first + '-' + $os + '#{uniqueNumber[3]}$'
write-host $format